# $Revision: 1.7 $, $Date: 2004/06/25 17:13:30 $
Summary:	Advanced IRC bouncer
Summary(pl):	Zaawansowane narzdzie do tunelowania IRC
Name:		psyBNC
Version:	2.3.2.4
Release:	1
License:	GPL
Group:		Networking/Utilities
#Source0:	http://www.psychoid.lam3rz.de/%{name}%{version}.tar.gz
Source0:	http://www.psybnc.info/download/%{name}2.3.2-4.tar.gz
# Source0-md5:	f752aec57da0d08ee183b22f79b6b34f
Patch0:		psybnc-sslkey.patch
Patch1:		psybnc-gcc34.patch
Patch2:		psybnc-menuconf.patch
Patch3:		psybnc-lang-path.patch
URL:		http://www.psychoid.lam3rz.de/psybnc.html
BuildRequires:	ncurses-devel
BuildRequires:	openssl-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
psyBNC is an easy-to-use, multi-user, permanent IRC-Bouncer with many
features. Some of its features include symmetric ciphering of talk and
connections (Blowfish and IDEA), the possibility of linking multiple
bouncers to an internal network including a shared partyline, vhost-
and relay support to connected bouncers and an extensive online help
system. Many other helpful functions are included.

%description -l pl
psyBNC to atwe do uycie, wielouytkownikowe, stae ircowe proxy z
wieloma bajerami. Pord nich: symetryczne szyfrowanie rozmw i
pocze (Blowfish i IDEA), moliwo czenia wielu proxy w
wewntrzn sie, razem z wspdzielonym kanaem rozmw, wsparcie
vhostw i retransmisji do poczonych proxy, a take rozbudowany
system wbudowanej pomocy.

%prep
%setup -q -n psybnc
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
# TODO:
# - BIGENDIAN detection is just opposite - is usage the same?
# - IPV6 detection relies on IPv6 socket support on builder

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" << EOF






EOF

%{__make} menuconfig \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/{lang,key}}

install psybnc $RPM_BUILD_ROOT%{_bindir}
install menuconf/menuconf $RPM_BUILD_ROOT%{_bindir}/psyconf
install lang/*.lng $RPM_BUILD_ROOT%{_datadir}/%{name}/lang
install key/psybnc.{cert,key}.pem $RPM_BUILD_ROOT%{_datadir}/%{name}/key
mv psybnc.conf psybnc.conf.example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES psybncchk psybnc.conf.example
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lang
%{_datadir}/%{name}/lang/english.lng
%lang(de) %{_datadir}/%{name}/lang/german.lng
%lang(it) %{_datadir}/%{name}/lang/italiano.lng
%{_datadir}/%{name}/key

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psyBNC.spec,v $
Revision 1.7  2004/06/25 17:13:30  wolf
- 2.3.2-4

Revision 1.6  2004/01/24 17:58:13  domelu
- rm psybnc-no_ipv6.patch

Revision 1.5  2004/01/22 21:31:09  domelu
- fix Source0
- release 3; stbr ac (fix problem with "!foo" channels I hope)

Revision 1.4  2004/01/12 23:59:53  domelu
- added patch no_ipv6

Revision 1.3  2003/11/11 21:25:59  ankry
- cosmetics

Revision 1.2  2003/11/11 12:12:04  qboosh
- fixed optflags, use lang(), missing dir

Revision 1.1  2003/11/11 12:10:36  qboosh
- mv psybnc.spec psyBNC.spec to reflect Name (client-side - tags exist)

Revision 1.15  2003/05/28 14:25:25  malekith
- there is no Source5

Revision 1.14  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/26 15:13:47  erjot
- up to 2.3.1
- remove patch1
- md5

Revision 1.12  2003/05/25 06:25:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/12/13 22:46:56  ankry
- adapterized

Revision 1.10  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.9  2002/11/21 09:23:47  djrzulf
- added patch for "Could not load language file, aborting.",
- now works,
- Release 5,
- STBR,

Revision 1.8  2002/04/23 21:46:47  pioklo
- relase 4 ,bugfixes DoS attack, STBR

Revision 1.7  2002/03/22 23:10:53  djrzulf
- corrected make command,
- added psyconf for easy-configuring psybnc in ncurses,
- Release 3,
- STBR,

Revision 1.6  2002/03/13 20:36:45  mmazur
- s/pld-list@pld.org.pl/feedback@pld-linux.org
- added psybnc-autoconf.patch
- release 2; STBR

Revision 1.5  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/05 15:06:55  djrzulf
- errors in spec - fixed
- STBR

Revision 1.3  2002/01/26 07:38:13  kloczek
- adapterized (NOTE: do not build correctly).

Revision 1.2  2002/01/25 15:52:46  adasi
 - now added patch no_ssl
 - someone have to check it on independent builder. At mine it crashes with Sig11

Revision 1.1  2002/01/24 22:44:00  adasi
 - Testing purposes.
 - Lots of things to do.

Revision 1.3  2001/11/26 12:10:49  qboosh
- moved configure from %%prep to %%build, gzip doc; release 2

Revision 1.2  2001/11/25 12:32:35  djrzulf
- adapterized,

Revision 1.1  2001/11/25 12:28:45  djrzulf
- initial PLD release,
- STBR
